com.jscape.inet.sftp.events

## Class SftpErrorEvent

- java.lang.Object
- - com.jscape.inet.sftp.events.SftpEvent
  - - com.jscape.inet.sftp.events.SftpErrorEvent

-     public class SftpErrorEvent
      extends SftpEvent

  This event is fired when file is uploaded to the SSH server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpErrorEvent(Sftp source, java.lang.String fileName, java.lang.String path, java.lang.String localPath, int mode)` Creates a new event instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SftpListener listener)` The "backwards dispatching" support.
    `java.lang.String` | `getFilename()` Obtains the file name.
    `java.lang.String` | `getLocalPath()` Returns local file path.
    `int` | `getMode()` Obtains the file size.
    `java.lang.String` | `getPath()` Gets path that this file was transferred to/from

    - ### Methods inherited from class com.jscape.inet.sftp.events.SftpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpErrorEvent

          public SftpErrorEvent(Sftp source,
                                java.lang.String fileName,
                                java.lang.String path,
                                java.lang.String localPath,
                                int mode)

      Creates a new event instance.
      Parameters:
        `source` - the source of the event
        `fileName` - the file name
        `path` - the remote path the file was uploaded to
        `localPath` - the local file path
        `mode` - the transfer mode

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Obtains the file name.
      Returns:
        the file name

    - #### getPath

          public java.lang.String getPath()

      Gets path that this file was transferred to/from
      Returns:
        file path

    - #### getLocalPath

          public java.lang.String getLocalPath()

      Returns local file path.
      Returns:
        local file path

    - #### getMode

          public int getMode()

      Obtains the file size.
      Returns:
        the file size

    - #### accept

          public void accept(SftpListener listener)

      The "backwards dispatching" support.
      Specified by:
        `accept` in class `SftpEvent`
      Parameters:
        `listener` - the event listener

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved